package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PacoteDAO;
import com.rjconsultores.ventaboletos.entidad.Pacote;

@Repository("pacoteDAO")
public class PacoteHibernateDAO extends GenericHibernateDAO<Pacote, Integer> implements PacoteDAO {
	
	@Autowired
	public PacoteHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	@SuppressWarnings("unchecked")
	public List<Pacote> obtenerTodos() {
		Criteria c = this.makeCriteria();
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}
	
}
